org.appng.appngizer.model.xml

## Class SchemaVersion

- java.lang.Object
- - org.appng.appngizer.model.xml.SchemaVersion

-     public class SchemaVersion
      extends Object

  Java class for schemaVersion complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="schemaVersion">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="version" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="state" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="description" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="checksum" type="{http://www.w3.org/2001/XMLSchema}int" />
             <attribute name="installed" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Integer` | `checksum`
    `protected String` | `description`
    `protected XMLGregorianCalendar` | `installed`
    `protected String` | `state`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaVersion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getChecksum()` Gets the value of the checksum property.
    `String` | `getDescription()` Gets the value of the description property.
    `XMLGregorianCalendar` | `getInstalled()` Gets the value of the installed property.
    `String` | `getState()` Gets the value of the state property.
    `String` | `getVersion()` Gets the value of the version property.
    `void` | `setChecksum(Integer value)` Sets the value of the checksum property.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setInstalled(XMLGregorianCalendar value)` Sets the value of the installed property.
    `void` | `setState(String value)` Sets the value of the state property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          protected String version

    - #### state

          protected String state

    - #### description

          protected String description

    - #### checksum

          protected Integer checksum

    - #### installed

          protected XMLGregorianCalendar installed

  - ### Constructor Detail

    - #### SchemaVersion

          public SchemaVersion()

  - ### Method Detail

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

    - #### getState

          public String getState()

      Gets the value of the state property.
      Returns:
        possible object is `String`

    - #### setState

          public void setState(String value)

      Sets the value of the state property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### getChecksum

          public Integer getChecksum()

      Gets the value of the checksum property.
      Returns:
        possible object is `Integer`

    - #### setChecksum

          public void setChecksum(Integer value)

      Sets the value of the checksum property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getInstalled

          public XMLGregorianCalendar getInstalled()

      Gets the value of the installed property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setInstalled

          public void setInstalled(XMLGregorianCalendar value)

      Sets the value of the installed property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.